Eclipse Platform Release 3.7

## org.eclipse.jface.text.source
Interface IChangeRulerColumn

All Superinterfaces:
  IVerticalRulerColumn, IVerticalRulerInfoExtension

All Known Implementing Classes:
  ChangeRulerColumn, LineNumberChangeRulerColumn

    public interface IChangeRulerColumn

extends IVerticalRulerColumn, IVerticalRulerInfoExtension

An `IChangeRulerColumn` can display quick diff information.

Since:
  3.0

Field Summary
`static String` `QUICK_DIFF_MODEL_ID` The ID under which the quick diff model is registered with a document's annotation model.

Method Summary
`void` `setAddedColor(Color addedColor)` Sets the background color for added lines.
`void` `setBackground(Color backgroundColor)` Sets the background color for normal lines.
`void` `setChangedColor(Color changedColor)` Sets the background color for changed lines.
`void` `setDeletedColor(Color deletedColor)` Sets the color for the deleted lines indicator.
`void` `setHover(IAnnotationHover hover)` Sets the hover of this ruler column.

Methods inherited from interface org.eclipse.jface.text.source.IVerticalRulerColumn
`createControl, getControl, getWidth, redraw, setFont, setModel`

Methods inherited from interface org.eclipse.jface.text.source.IVerticalRulerInfoExtension
`addVerticalRulerListener, getHover, getModel, removeVerticalRulerListener`

Field Detail

### QUICK_DIFF_MODEL_ID

    static final String QUICK_DIFF_MODEL_ID

  The ID under which the quick diff model is registered with a document's annotation model.

  See Also:
    Constant Field Values

Method Detail

### setHover

    void setHover(IAnnotationHover hover)

  Sets the hover of this ruler column.

  Parameters:
    `hover` - the hover that will produce hover information text for this ruler column

### setBackground

    void setBackground(Color backgroundColor)

  Sets the background color for normal lines. The color has to be disposed of by the caller when the receiver is no longer used.

  Parameters:
    `backgroundColor` - the new color to be used as standard line background

### setAddedColor

    void setAddedColor(Color addedColor)

  Sets the background color for added lines. The color has to be disposed of by the caller when the receiver is no longer used.

  Parameters:
    `addedColor` - the new color to be used for the added lines background

### setChangedColor

    void setChangedColor(Color changedColor)

  Sets the background color for changed lines. The color has to be disposed of by the caller when the receiver is no longer used.

  Parameters:
    `changedColor` - the new color to be used for the changed lines background

### setDeletedColor

    void setDeletedColor(Color deletedColor)

  Sets the color for the deleted lines indicator. The color has to be disposed of by the caller when the receiver is no longer used.

  Parameters:
    `deletedColor` - the new color to be used for the deleted lines indicator.

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.